import request from '@/utils/request'

export function getPoseApi(params) {
    return request('/api/arm/getPose', params, 'POST')
}

export function getJointStateApi(params) {
    return request('/api/arm/getJointState', params, 'POST')
}

export function speedLApi(data) {
    return request('/api/arm/speedL', data, 'POST')
}

export function moveJApi(data) {
    return request('/api/arm/moveJ', data, 'POST')
}

export function stopMotionApi(params) {
    return request('/api/arm/stopMotion', params, 'POST')
}

export function torqueOnApi(params) {
    return request('/api/arm/torqueOn', params, 'POST')
}

export function speedJApi(data) {
    return request('/api/arm/speedJ', data, 'POST')
}